-- ============================================================
-- Database name: FOLHA
-- Created on: 23/04/2019
-- ============================================================
-- ============================================================
--   TABLE: FPA_VALORREFERENCIAM                                          
-- ============================================================

INSERT INTO FPA_VALORREFERENCIAM (NRVALORREFERENCIAM, NRORG, DSREFERENCIA, DTINIVIGENCIA, DSOBSERVACAO, DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+1 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAM'), 0, 'ESOCIAL_INIVALID_NACIOSIMPLES', '10/01/2019', 'Data de inÃ­cio de validade do ambiente de produÃ§Ã£o para empresas optante pelo simple nacional do eSocial', SYSDATE)
/
INSERT INTO FPA_VALORREFERENCIAM (NRVALORREFERENCIAM, NRORG, DSREFERENCIA, DTINIVIGENCIA, DSOBSERVACAO, DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+2 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAM'), 0, 'ESOCIAL_ININPERI_NACIOSIMPLES', '10/04/2019', 'Data de inÃ­cio de validade dos eventos nÃ£o periÃ³dicos no ambiente de produÃ§Ã£o para empresas optante pelo simple nacional do eSocial', SYSDATE)
/
INSERT INTO FPA_VALORREFERENCIAM (NRVALORREFERENCIAM, NRORG, DSREFERENCIA, DTINIVIGENCIA,DSOBSERVACAO,  DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+3 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAM'), 0, 'ESOCIAL_INIPERIO_NACIOSIMPLES', '10/06/2019', 'Data de inÃ­cio de validade dos eventos periÃ³dicos no ambiente de produÃ§Ã£o para empresas optante pelo simple nacional do eSocial', SYSDATE)
/
-- ============================================================
--   TABLE: FPA_VALORREFERENCIAH                                          
-- ============================================================

INSERT INTO FPA_VALORREFERENCIAH (NRVALORREFERENCIAH, NRVALORREFERENCIAM, NRORG, DTMESCOMPETENC, DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+1 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAH'), (SELECT NRVALORREFERENCIAM FROM FPA_VALORREFERENCIAM WHERE DSREFERENCIA = 'ESOCIAL_INIVALID_NACIOSIMPLES'), 0, '01/01/2000', SYSDATE)
/
INSERT INTO FPA_VALORREFERENCIAH (NRVALORREFERENCIAH, NRVALORREFERENCIAM, NRORG, DTMESCOMPETENC, DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+2 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAH'), (SELECT NRVALORREFERENCIAM FROM FPA_VALORREFERENCIAM WHERE DSREFERENCIA = 'ESOCIAL_ININPERI_NACIOSIMPLES'), 0, '01/01/2000', SYSDATE)
/
INSERT INTO FPA_VALORREFERENCIAH (NRVALORREFERENCIAH, NRVALORREFERENCIAM, NRORG, DTMESCOMPETENC, DTINCLUSAO)
VALUES ((SELECT MAX(NRSEQUENCIAL)+3 FROM NOVOCODIGO WHERE CDCONTADOR = 'FPA_VALORREFERENCIAH'), (SELECT NRVALORREFERENCIAM FROM FPA_VALORREFERENCIAM WHERE DSREFERENCIA = 'ESOCIAL_INIPERIO_NACIOSIMPLES'), 0, '01/01/2000', SYSDATE)
/
-- ============================================================
--   TABLE: NOVOCODIGO                                          
-- ============================================================
UPDATE NOVOCODIGO SET NRSEQUENCIAL = (SELECT MAX(NRVALORREFERENCIAM) FROM FPA_VALORREFERENCIAM) WHERE NRORG = 0 AND CDCONTADOR = 'FPA_VALORREFERENCIAM'
/
UPDATE NOVOCODIGO SET NRSEQUENCIAL = (SELECT MAX(NRVALORREFERENCIAH) FROM FPA_VALORREFERENCIAH) WHERE NRORG = 0 AND CDCONTADOR = 'FPA_VALORREFERENCIAH'
/