<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroTPSE extends RegistroDIRF{

    private $_cpf;
    private $_nome;
    private $_valor;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cpf);

        // Ordem 3
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 4
        $this->atribuiDadoDirf($this->_valor, true);
    }

    public function geraRegistroTPSE(){
        $this->_geraRegistro(parent::REGISTRO_TPSE);
    }

    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }

    public function setNome($nome){
        $this->_nome = $nome;
    }

    public function setValor($valor){
        $this->_valor = $valor;
    }

}